[project]
name = "inversionistas"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12, <4"
dependencies = [
    "aiohttp>=3.11.16",
    "aiosqlite>=0.21.0",
    "fastapi[standard]>=0.115.6",
    "hvac>=2.3.0",
    "langchain-azure-ai[opentelemetry]>=0.1.4",
    "langchain-qdrant>=0.2.0",
    "langfuse>=2.60.2",
    "mongo-memory",
    "pydantic-settings>=2.8.1",
]

[tool.uv.sources]
mongo-memory = { workspace = true }
